package com.ruoyi.project.plant.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TMtdDaily;

/**
 * 调度会议Mapper接口
 *
 * @author ssy
 * @date 2023-11-14
 */
public interface TMtdDailyMapper
{
    /**
     * 查询调度会议
     *
     * @param id 调度会议ID
     * @return 调度会议
     */
    public TMtdDaily selectTMtdDailyById(Long id);

    TMtdDaily selectTMtdDailyLast(TMtdDaily mtdDaily);

    /**
     * 查询调度会议列表
     *
     * @param tMtdDaily 调度会议
     * @return 调度会议集合
     */
    @DataScope(deptAlias = "d")
    public List<TMtdDaily> selectTMtdDailyList(TMtdDaily tMtdDaily);

    /**
     * 新增调度会议
     *
     * @param tMtdDaily 调度会议
     * @return 结果
     */
    public int insertTMtdDaily(TMtdDaily tMtdDaily);

    /**
     * 修改调度会议
     *
     * @param tMtdDaily 调度会议
     * @return 结果
     */
    public int updateTMtdDaily(TMtdDaily tMtdDaily);

    /**
     * 删除调度会议
     *
     * @param id 调度会议ID
     * @return 结果
     */
    public int deleteTMtdDailyById(Long id);

    /**
     * 批量删除调度会议
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMtdDailyByIds(Long[] ids);


}
